Loading...
Searching...
No Matches
Creating Actors */

examples More...

## Classes

class | caf::spawn_options
| Stores options passed to the spawn function family. More...

## Functions

constexpr spawn_options | operator+ (const spawn_options &lhs, const spawn_options &rhs)
| Concatenates two `spawn_options`.
constexpr bool | has_spawn_option (spawn_options haystack, spawn_options needle)
| Checks wheter haystack contains needle.
constexpr bool | has_detach_flag (spawn_options opts)
| Checks wheter the `detached` flag is set in opts.
constexpr bool | has_priority_aware_flag (spawn_options)
| Checks wheter the `priority_aware` flag is set in opts.
constexpr bool | has_hide_flag (spawn_options opts)
| Checks wheter the `hidden` flag is set in opts.
constexpr bool | has_link_flag (spawn_options opts)
| Checks wheter the `linked` flag is set in opts.
constexpr bool | has_monitor_flag (spawn_options opts)
| Checks wheter the `monitored` flag is set in opts.
constexpr bool | has_lazy_init_flag (spawn_options opts)
| Checks wheter the `lazy_init` flag is set in opts.

## Variables

constexpr spawn_options | caf::no_spawn_options = spawn_options::no_flags
| Denotes default settings.
constexpr spawn_options | caf::lazy_init = spawn_options::lazy_init_flag
| Causes spawn to call `self->monitor(...) immediately after the new actor was spawned.

## Detailed Description

examples

/** A trivial example program.

## Variable Documentation

## lazy_init

spawn_options caf::lazy_init = spawn_options::lazy_init_flag

constexpr

Causes spawn to call `self->monitor(...) immediately after the new actor was spawned.

*/ constexpr spawn_options monitored = spawn_options::monitor_flag;

/** Causes spawn to call `self->link_to(...) immediately after the new actor was spawned. */ constexpr spawn_options linked = spawn_options::link_flag;

/ Causes the new actor to opt out of the cooperative scheduling. constexpr spawn_options detached = spawn_options::detach_flag;

/ Causes the runtime to ignore the new actor in await_all_actors_done(). constexpr spawn_options hidden = spawn_options::hide_flag;

/** Causes the new actor to delay its initialization until a message arrives.